# Class TwinfinityTargetCameraMouseZoomInput<TCamera>

Manage the mouse inputs to control the movement of a PivotTargetCamera.

#### See

http://doc.babylonjs.com/how_to/customizing_camera_inputs

#### Type Parameters

- TCamera extends TargetCamera

#### Implements

- ICameraInput<TCamera>

##### Index

### Constructors

constructor

### Properties

camera
wheelPrecision

### Accessors

isZooming

### Methods

attachControl
checkInputs
detachControl
getClassName
getSimpleName

## Constructors

### constructor

- new TwinfinityTargetCameraMouseZoomInput<TCamera extends TargetCamera>(
  _cameraOptions: CameraOptions,
  ): TwinfinityTargetCameraMouseZoomInput<TCamera>

  #### Type Parameters

  - TCamera extends TargetCamera

  #### Parameters

  - _cameraOptions: CameraOptions

  #### Returns TwinfinityTargetCameraMouseZoomInput<TCamera>

## Properties

### camera

camera: TCamera

Defines the camera the input is attached to.

Implementation of ICameraInput.camera

### wheelPrecision

wheelPrecision: number = 180.0

Gets or Set the mouse wheel precision or how fast is the camera zooming.

## Accessors

### isZooming

- get isZooming(): boolean

  Checks if user is zooming.

  #### Returns boolean

## Methods

### attachControl

- attachControl(noPreventDefault?: boolean): void

  Attach the input controls to a specific dom element to get the input from.

  #### Parameters

  - `Optional` noPreventDefault: boolean

    Defines whether event caught by the controls should call preventdefault() (https://developer.mozilla.org/en-US/docs/Web/API/Event/preventDefault)

  #### Returns void

  Implementation of ICameraInput.attachControl

### checkInputs

- checkInputs(): void

  Update the current camera state depending on the inputs that have been used this frame. This is a dynamically created lambda to avoid the performance penalty of looping for inputs in the render loop.

  #### Returns void

  Implementation of ICameraInput.checkInputs

### detachControl

- detachControl(): void

  Detaches the current controls from the specified DOM element.

  #### Returns void

  Implementation of ICameraInput.detachControl

### getClassName

- getClassName(): string

  Gets the class name of the current input.

  #### Returns string

  the class name

  Implementation of ICameraInput.getClassName

### getSimpleName

- getSimpleName(): string

  Get the friendly name associated with the input class.

  #### Returns string

  the input friendly name

  Implementation of ICameraInput.getSimpleName